Subject: IETF EDIINT Meeting Agenda

From: "Rik Drummond" <[email-masked]>
Date: Wed, 10 Mar 1999 09:13:15 -0600

The agenda for the meeting will focus on the AS2 document and the
discussions we have been having on aligning the aiag's e5, the gisb and the
as2 documents. Below are some of Dale's thoughts on the subject. I have
asked Dale to lead the meeting since he is the editor for this document.

It is very important that we DON'T TOUCH the as1 document, because it has
been stable for two years waiting for the s/sime wg to complete and 10
vendors have interoperable products out based on it. Changing it would set
Internet EDI back.. which we don't wish to do....

The conformation of this meeting came very late from IETF, and I currently
have other client plans. I hope to make it, but it is still tentative.

Below are some of Dale's thoughts on the subject. Thank you Dale.

Best Regards, Rik

> 1. How to maintain AS1 and AS2 alignment while adjusting to
> "creeping featurism".
>
> 2. How to handle MDNs?
>    - permit alternatives
>    - replace MDNs (alignment breaks)
>    - embed MDNs into wider MIME structures
>      (wider than the multipart/signed that
>       they now end up in) Three levels of
>       multiparts; overly complex or not?
>    - put acks into xml and let each org write their
>      own dtd and digital signature apparatus --
>      interoperability issues
>    - use first part of MDN to accomodate the
>      above XML and retain existing PGP or S/MIME
>      digital signatures.
>
>
> 3. How to handle header information (that is, the
>    information that is in the rfc822 headers
>    needed for MDN construction)
>    - permit alternatives
>    - replace HTTP headers with something else
>    - which alternative(s)
>    - duplicate header info with another content type
>
> 4. How to reconcile automated ("lights out" "back office")
> operation with HTML constructs suitable for browser use?
> (use of multipart/form-data ? ; also, html plus scripting
> may not sufficient even for submitting externally prepared
> EDIINT files; why bother interfacing with browsers?).
>
> 5. For alignment with other standards, specify what elements
>    can be arrived at bilaterally, what extension mechanisms
>    implementors need to support, and so on. GISB, E.5
>    alignment specifics.